2019-08-25 19:48 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002673NetSurf[All Projects] Generalpublic2019-08-12 09:27
ReporterDaniel Osborn 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformLinuxOSVoid LinuxOS Version
Product Version3.8 
Target VersionFixed in Version3.9 
Summary0002673: Crashing, Closing when going to some websites.
DescriptionSome websites cause the browser to unexpectedly close. http://slashdot.org/, https://google.com and others.


```
netsurf-gtk: content/fetchers/curl.c:718: fetch_curl_initiate_fetch: Assertion `codem == CURLM_OK || codem == CURLM_CALL_MULTI_PERFORM' failed.
/bin/netsurf: line 7: 26163 Aborted /usr/bin/netsurf-gtk "$@"
```
Steps To ReproduceOpen netsurf, on the main page click the link for http://slashdot.org/. The browser closes without any warning. Or try google.com
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Osborn

~0001967

Daniel Osborn (reporter)

BTW, I am running Void Linux
Officially Gorgeous

~0001968

Officially Gorgeous (reporter)

?
Vincent Sanders

~0001969

Vincent Sanders (administrator)

Your specific issue may be due to a bug in NetSurf but much more likely to be an issue with the build for Void Linux.

The report indicates an issue using the curl library.

We have seen several issues recently with curl libraries being built with a different version of the openssl library to the one NetSurf uses.

NetSurf https handling *only* works when curl and NetSurf itself are built with openssl of the same version.

The 3.9 release is imminent which has many bug fixes and may solve your issue but I would not be confident in that.
edgard

~0001972

edgard (reporter)

I have the exact issue on Alpine Linux.
Michael Forney

~0001973

Michael Forney (reporter)

I think this might be the same issue as https://bugs.netsurf-browser.org/mantis/view.php?id=2663, which was fixed in http://git.netsurf-browser.org/netsurf.git/commit/?id=3d80e825e1c77ece19c21ed1cc568049856a44de.

The error was CURLM_RECURSIVE_API_CALL because it was getting called from within a curl callback. See also https://github.com/curl/curl/pull/3837.
lockywolf

~0002027

lockywolf (reporter)

I have this bug too.

Linux delllaptop.lockywolf.net 4.19.62 #1 SMP Sun Jul 28 17:05:43 CDT 2019 x86_64 Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz GenuineIntel GNU/Linux

Slackware-15.0-current

NetSurf 3.8 (29th August 2018)
lockywolf

~0002028

lockywolf (reporter)

$:curl --version
curl 7.65.3 (x86_64-pc-linux-gnu) libcurl/7.65.3 OpenSSL/1.1.1c zlib/1.2.11 libidn2/2.2.0 libpsl/0.21.0 (+libidn2/2.1.1) libssh2/1.9.0 nghttp2/1.39.1
Release-Date: 2019-07-19
Protocols: dict file ftp ftps gopher http https imap imaps ldap ldaps pop3 pop3s rtsp scp sftp smb smbs smtp smtps telnet tftp
Features: AsynchDNS HTTP2 HTTPS-proxy IDN IPv6 Largefile libz NTLM NTLM_WB PSL SSL TLS-SRP UnixSockets
Ankur

~0002062

Ankur (reporter)

I haven't been able to use Netsurf at all on OpenBSD for over a month.

$ uname -a
OpenBSD host 6.5 GENERIC.MP#130 amd64
$ curl --version
curl 7.65.3 (x86_64-unknown-openbsd6.5) libcurl/7.65.3 LibreSSL/3.0.0 zlib/1.2.3 nghttp2/1.39.1
Release-Date: 2019-07-19
Protocols: dict file ftp ftps gopher http https imap imaps pop3 pop3s rtsp smb smbs smtp smtps
telnet tftp
Features: AsynchDNS HTTP2 HTTPS-proxy IPv6 Largefile libz NTLM NTLM_WB SSL UnixSockets

$ netsurf-gtk
assertion "codem == CURLM_OK || codem == CURLM_CALL_MULTI_PERFORM" failed: file "content/fetchers/curl.c", line 718, function "fetch_curl_initiate_fetch"
Abort trap
Vincent Sanders

~0002063

Vincent Sanders (administrator)

This is a known issue in version 3.8 when using a recent curl.

The 3.9 version has been released and should address this issue.

Please can anyone reporting this issue include the version of *netsurf* they are using so I can be assured this is not occurring in 3.9
Ankur

~0002064

Ankur (reporter)

I apologise, I noticed I forgot to report the version of netsurf which is indeed 3.8. As soon as packages are available on OpenBSD for 3.9 I will report back
Ankur

~0002074

Ankur (reporter)

I can confirm that Netsurf 3.9 on OpenBSD no longer has this issue.
Vincent Sanders

~0002075

Vincent Sanders (administrator)

Thank you for your report.
Glad to see we have managed to resolve it.
I am closing this issue now as resolved.
If you have problems in future with this please feel free to open another issue report.
+Notes

-Issue History
Date Modified Username Field Change
2019-06-14 23:14 Daniel Osborn New Issue
2019-06-14 23:14 Daniel Osborn File Added: netsurf.err
2019-06-14 23:17 Daniel Osborn Note Added: 0001967
2019-06-20 11:27 Officially Gorgeous Note Added: 0001968
2019-06-21 10:50 Vincent Sanders Status new => acknowledged
2019-06-21 10:50 Vincent Sanders OS => Void Linux
2019-06-21 10:50 Vincent Sanders Platform => Linux
2019-06-21 10:50 Vincent Sanders Note Added: 0001969
2019-06-29 01:43 edgard Note Added: 0001972
2019-06-29 21:12 Michael Forney Note Added: 0001973
2019-07-30 08:03 lockywolf Note Added: 0002027
2019-07-30 08:03 lockywolf Note Added: 0002028
2019-08-04 03:50 Ankur Note Added: 0002062
2019-08-04 08:58 Vincent Sanders Note Added: 0002063
2019-08-04 12:50 Ankur Note Added: 0002064
2019-08-12 02:59 Ankur Note Added: 0002074
2019-08-12 09:27 Vincent Sanders Assigned To => Daniel Silverstone
2019-08-12 09:27 Vincent Sanders Status acknowledged => resolved
2019-08-12 09:27 Vincent Sanders Resolution open => fixed
2019-08-12 09:27 Vincent Sanders Fixed in Version => 3.9
2019-08-12 09:27 Vincent Sanders Note Added: 0002075
+Issue History